# $Revision: 1.28 $, $Date: 2010/04/12 19:30:00 $
Summary:	An HTTP regression testing/benchmarking utility
Summary(pl.UTF-8):	Narzędzie do testowania serwerów HTTP
Name:		siege
Version:	2.69
Release:	3
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://sid.joedog.org/pub/siege/%{name}-%{version}.tar.gz
# Source0-md5:	77190ad255dfa14232137d03fd0d994b
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-am_fixes.patch
Patch2:		%{name}-config.patch
URL:		http://www.joedog.org/index/siege-home
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Siege is a regression test and benchmark utility. It can stress test a
single URL with a user defined number of simulated users, or it can
read many URLs into memory and stress them simultaneously. The program
reports the total number of hits recorded, bytes transferred, response
time, concurrency, and return status. Siege supports HTTP/1.0 and 1.1
protocols, GET and POST directives, cookies, transaction logging, and
basic authentication. Its features are configurable on a per user
basis.

%description -l pl.UTF-8
Siege to narzędzie do testowania działania i wydajności serwerów HTTP.
Może testować odporność dla pojedynczego URL-a ze zdefiniowaną liczbą
symulowanych użytkowników, lub ściągać wiele URL-i do pamięci,
obciążając je równocześnie. Program raportuje całkowitą liczbę
ściągniętych dokumentów, liczbę przesłanych bajtów, czas reakcji,
liczbę jednoczesnych połączeń i status operacji. Siege obsługuje
protokoły HTTP/1.0 i 1.1, metody GET i POST, cookie, logowanie
transakcji oraz zwykłą autentykację. Opcje są konfigurowalne dla
użytkownika.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--localstatedir=%{_localstatedir}/log \
	--with-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.https AUTHORS KNOWNBUGS NEWS ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: siege.spec,v $
Revision 1.28  2010/04/12 19:30:00  arekm
- release 3

Revision 1.27  2010/02/17 13:10:06  glen
- release 2

Revision 1.26  2010/02/17 13:09:46  glen
- up to 2.69

Revision 1.25  2009/03/10 09:01:36  duddits
- up to 2.67

Revision 1.24  2007/12/27 23:49:41  zbyniu
- up to 2.66

Revision 1.23  2007-03-03 01:03:34  wrobell
- ver. 2.65

Revision 1.22  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.20  2006/08/09 11:20:39  wrobell
- fixed url
- rel. 2 to build with openssl 0.9.8b

Revision 1.19  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.18  2005/11/03 01:32:53  zbyniu
- up to 2.64

Revision 1.17  2005/08/17 12:07:59  glen
- set FHS compatible log dir

Revision 1.16  2005/08/16 14:26:32  glen
- up to 2.63, STBR

Revision 1.15  2005/08/16 12:12:59  glen
- add config patch

Revision 1.14  2005/01/11 21:47:51  glen
- fixed siege.config; rel 2; STBR

Revision 1.13  2004/12/12 11:39:00  adamg
- updated to 2.61

Revision 1.12  2004/03/24 18:54:30  wrobell
- ver. 2.59

Revision 1.11  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.10  2003/09/30 20:18:33  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.9  2003/05/28 13:01:51  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/13 14:05:25  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.6  2002/11/29 22:46:35  ankry
- massive attack: new %doc

Revision 1.5  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/05/21 23:14:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/05/06 11:20:23  qboosh
- pl description

Revision 1.2  2002/05/05 11:28:05  kloczek
- added ac_fixes patch (now siege is compiled with correct optimization flags),
- regenerate ac/am files,
- remove empty %{pust,pre}{,un} scripts.

Revision 1.1  2002/05/05 09:36:07  orzech
- new in PLD
- builds, works fine, STBR
